=== debian/changelog ===
ros-kinetic-urg-node (0.1.15-1xenial) xenial; urgency=high

  * Function setSkip() set as void
    This function as no return type causing undefined behavior. This function
    has been declared as void.
  * Contributors: bostoncleek

 -- Tony Baltovski <tony.baltovski@gmail.com>  Tue, 27 Oct 2020 04:00:00 -0000

ros-kinetic-urg-node (0.1.14-1xenial) xenial; urgency=high

  * Bumped CMake version.
  * Removed trailing whitespace.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tony.baltovski@gmail.com>  Thu, 04 Jun 2020 04:00:00 -0000

ros-kinetic-urg-node (0.1.13-1xenial) xenial; urgency=high

  * Revert "fix(updateStatus): Update status on diagnostics update"
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tony.baltovski@gmail.com>  Fri, 27 Mar 2020 04:00:00 -0000

ros-kinetic-urg-node (0.1.12-1xenial) xenial; urgency=high

  * Updated roslint to only check files in this repo.
  * Updated TravisCI config.
  * fix(updateStatus): Update status on diagnostics update
    Otherwise the diagnostics information does not really reflect the device
    status.
  * synchronize_time: reset when clock is warped
    If either the hardware clock or system clock warp, reset the EMA to
    prevent incorrect clock values from being used. Detect the warp by
    putting a limit on the absolute error between the synchronized clock
    and the system clock. When a warp is detected, reset the EMA to force
    the clocks to resynchronize. Use the system clock until the EMA has
    stabalized again.
  * synchronize system clock to hardware time
    Remove jitter from the system clock by synchronizing it to the change
    in hardware time stamps. This does not synchrnoize it in an absolute
    sense (i.e., doesn't remove system latench). However, coupled with
    calibrating system latency, this results in a stable, accurate clock.
  * Add Travis config.
  * Fixed linter errors.
  * Contributors: C. Andy Martin, Rein Appeldoorn, Tony Baltovski

 -- Tony Baltovski <tony.baltovski@gmail.com>  Sat, 14 Mar 2020 04:00:00 -0000

ros-kinetic-urg-node (0.1.11-1xenial) xenial; urgency=high

  * Add support for URG-04LX in SCIP 1.1 mode
    The urg_node does not support SCIP 1.1. The Hokuyo URG-04LX supports both
    SCIP 1.1 and SCIP 2.0, but needs to be switched to SCIP 2.0 at every startup
    in its default configuration. For this purpose the function
    URGCWrapper::setToSCIP2() was added.
    A URG-04LX in SCIP 1.1 mode used to lead to an exception being thrown in
    URGCwrapper::initialize. Now, before throwing the exception an attempt to
    switch the sensor to SCIP 2.0 is made.
  * Fixed comments in launch file and added roslaunch.
  * Add flag to prevent updating of detailed status.
    If using a model that does not support AR00 command, hide it
    behind a rosparam.
  * Add safety stop heading and distance values (#28 <https://github.com/ros-drivers/urg_node/issues/28>)
    Added to the laser status field the last report of a safety
    stop of distance and angle reported. If this fails or is unavailable
    it will just report 0.
  * Updating depend and roslint.
    Fixing some roslint error after moving a header name.
    Additionally fixing the gencfg to be on the lib and not the node.
  * Adding missing std_srvs depend.
    Adding missing std_srvs depend to package.xml and CMakelists.txt
  * Move urg_node to be a library.
    Moving urg_node to urg_node_driver as a library.
    This allows for other nodes to include this as an object instead
    of spawning another separate process.
  * Add getAR00 status command.
    Added ability to pull the status of the lidar AR00 status command.
    This then publishes a latched topic with the current status of the
    lidar's error code and lockout status.
  * Update urg_node to be a self contained class
    Updating urg node to be a self contained class. This allows
    for it to be imported in other nodes.
  * Roslint
  * Contributors: Benjamin Scholz, Mike O'Driscoll, Tony Baltovski

 -- Tony Baltovski <tony.baltovski@gmail.com>  Tue, 17 Oct 2017 04:00:00 -0000

ros-kinetic-urg-node (0.1.10-1xenial) xenial; urgency=high

  * Updated maintainer.
  * Error handling for connection failures
  * Created urg_lidar.launch
  * Installed getID
  * Contributors: Eric Tappan, Jeff Schmidt, Kei Okada, Tony Baltovski

 -- Tony Baltovski <tony.baltovski@gmail.com>  Tue, 21 Mar 2017 04:00:00 -0000

ros-kinetic-urg-node (0.1.9-1xenial) xenial; urgency=high

  * Merge pull request #7 <https://github.com/ros-drivers/urg_node/issues/7> from mikeferguson/indigo-devel
    add a script to set the IP address of an URG laser
  * Updated diagnostics to support configurable parameters.
  * add a script to set the IP address of an URG laser
  * Contributors: Chad Rockey, Michael Ferguson

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 13 Aug 2014 04:00:00 -0000

ros-kinetic-urg-node (0.1.8-1xenial) xenial; urgency=high

  * Merge pull request #6 <https://github.com/ros-drivers/urg_node/issues/6> from mikeferguson/indigo-devel
    Add default device status on UST-20LX
  * Add default device status on UST-20LX
  * Contributors: Chad Rockey, Michael Ferguson

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 16 Jun 2014 04:00:00 -0000

ros-kinetic-urg-node (0.1.7-1xenial) xenial; urgency=high

  * Added more robust plug/unplug reconnect behavior.
  * Added more robustness and the ability to continually reloop and reconnect until node is shutdown.
  * Fix initialization crash.
  * Install fix for Android.
  * Missed a willowgarage email.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 21 Apr 2014 04:00:00 -0000

ros-kinetic-urg-node (0.1.6-1xenial) xenial; urgency=high

  * Added getID executable for udev users.

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 24 Oct 2013 04:00:00 -0000

ros-kinetic-urg-node (0.1.5-1xenial) xenial; urgency=high

  * Missing diagnostic_updater depend

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 22 Aug 2013 04:00:00 -0000


