=== debian/control ===
Source: ros-kinetic-urg-node
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tony.baltovski@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-diagnostic-updater, ros-kinetic-dynamic-reconfigure, ros-kinetic-laser-proc, ros-kinetic-message-generation, ros-kinetic-nodelet, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-roslint, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-urg-c
Homepage: http://ros.org/wiki/urg_node
Standards-Version: 3.9.2

Package: ros-kinetic-urg-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-diagnostic-updater, ros-kinetic-dynamic-reconfigure, ros-kinetic-laser-proc, ros-kinetic-message-generation, ros-kinetic-message-runtime, ros-kinetic-nodelet, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-urg-c
Description: urg_node
